{
  description = "A simple flake for a nix-shell";

  inputs = {
      nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
      home-manager.url = "github:nix-community/home-manager/master";
      home-manager.inputs.nixpkgs.follows = "nixpkgs";
      catppuccin.url = "github:catppuccin/nix";
      spicetify-nix.url = "github:the-argus/spicetify-nix";
  };

  outputs = { nixpkgs, home-manager, catppuccin, spicetify-nix, ... } @ inputs: let
    lib = nixpkgs.lib;
    system = "x86_64-linux";
    pkgs = nixpkgs.legacyPackages.${system};
  in {
    nixosConfigurations = {
      hp-laptop-lho = lib.nixosSystem {
          inherit system;
          modules = [ ./configuration.nix ];
      };
    };
    homeConfigurations = {
      lorenz = home-manager.lib.homeManagerConfiguration {
          inherit pkgs;
          extraSpecialArgs = { 
            inherit inputs;
            inherit spicetify-nix;   
          };
          modules = [ 
            ./home.nix
            ./spicetify.nix
            catppuccin.homeManagerModules.catppuccin
          ];
      };
    };
  };
}
